import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_r2u/flutter_r2u.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_r2u');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return true;
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('deviceSupportsAR', () async {
    expect(await R2U.deviceSupportsAR(), true);
  });
}
